### Hierarchy

- ProxyView
  - PlaceProxyView

## Index

### Constructors

- constructor

### Properties

- $el
- attributes
- box
- child
- child_promise
- cid
- className
- collection
- displayed
- el
- id
- layoutPromise
- model
- options
- pWidget
- tagName

### Methods

- $
- _ensureElement
- _removeElement
- _setAttributes
- _setElement
- bind
- callbacks
- create_child_view
- delegate
- delegateEvents
- events
- initialize
- listenTo
- listenToOnce
- make
- off
- on
- onResize
- once
- remove
- render
- send
- setElement
- setLayout
- set_child
- stopListening
- touch
- trigger
- typeset
- unbind
- undelegate
- undelegateEvents
- update
- update_classes
- update_mapped_classes
- update_selector
- extend

## Constructors

### constructor

- new PlaceProxyView(options?: ViewOptions<WidgetModel>): PlaceProxyView

- Inherited from View.__constructor

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:340

  #### Parameters

  - ##### Optional options: ViewOptions<WidgetModel>

  #### Returns PlaceProxyView

## Properties

### $el

$el: any

Inherited from DOMWidgetView.$el

Overwrites View.$el

- Defined in widget.ts:842

### attributes

attributes: any

Inherited from View.attributes

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:365

### box

box: any

Inherited from ProxyView.box

- Defined in widget_box.ts:159

### child

child: any

Inherited from ProxyView.child

- Defined in widget_box.ts:164

### child_promise

child_promise: Promise<any>

Inherited from ProxyView.child_promise

- Defined in widget_box.ts:163

TODO: Should be Promise, but we set it to Promise at the start. Why???

### cid

cid: string

Inherited from View.cid

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:358

### className

className: string

Inherited from View.className

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:359

### collection

collection: Collection<WidgetModel>

Inherited from View.collection

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:354

### displayed

displayed: Promise<WidgetView>

Inherited from WidgetView.displayed

- Defined in widget.ts:671

A promise that resolves to the parent view when a child view is displayed.

### el

el: any

Inherited from View.el

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:362

### id

id: string

Inherited from View.id

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:357

### layoutPromise

layoutPromise: Promise<any>

Inherited from DOMWidgetView.layoutPromise

- Defined in widget.ts:844

### model

model: WidgetModel

Inherited from View.model

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:353

### options

options: any

Inherited from WidgetView.options

- Defined in widget.ts:666

### pWidget

pWidget: Widget

Inherited from DOMWidgetView.pWidget

- Defined in widget.ts:843

### tagName

tagName: string

Inherited from View.tagName

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:360

## Methods

### $

- $(selector: string): JQuery
- $(selector: any): JQuery

- Inherited from View.$

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:352

  #### Parameters

  - ##### selector: string

  #### Returns JQuery

- Inherited from View.$

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:366

  #### Parameters

  - ##### selector: any

  #### Returns JQuery

### _ensureElement

- _ensureElement(): void

- Inherited from View._ensureElement

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:375

  #### Returns void

### _removeElement

- _removeElement(): void

- Inherited from NativeView._removeElement

  - Defined in nativeview.ts:62

  #### Returns void

### _setAttributes

- _setAttributes(attrs: any): void

- Inherited from NativeView._setAttributes

  - Defined in nativeview.ts:76

  #### Parameters

  - ##### attrs: any

  #### Returns void

### _setElement

- _setElement(el: HTMLElement): void

- Inherited from DOMWidgetView._setElement

  Overwrites NativeView._setElement

  - Defined in widget.ts:821

  #### Parameters

  - ##### el: HTMLElement

  #### Returns void

### bind

- bind(eventName: string, callback: Function, context?: any): any

- Inherited from Events.bind

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:86

  #### Parameters

  - ##### eventName: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### callbacks

- callbacks(): any

- Inherited from WidgetView.callbacks

  - Defined in widget.ts:644

  Create msg callbacks for a comm msg.

  #### Returns any

### create_child_view

- create_child_view(child_model: any, options?: any): any

- Inherited from WidgetView.create_child_view

  - Defined in widget.ts:634

  Create and promise that resolves to a child view of a given model

  #### Parameters

  - ##### child_model: any

  - ##### Optional options: any

  #### Returns any

### delegate

- delegate(eventName: any, selector: any, listener: any): any

- Inherited from NativeView.delegate

  Overwrites View.delegate

  - Defined in nativeview.ts:96

  Make an event delegation handler for the given `eventName` and `selector` and attach it to `this.el`. If selector is empty, the listener will be bound to `this.el`. If not, a new handler that will recursively traverse up the event target's DOM hierarchy looking for a node that matches the selector. If one is found, the event's `delegateTarget` property is set to it and the return the result of calling bound `listener` with the parameters given to the handler.

  This does not properly handle selectors for things like focus and blur (see https://github.com/jquery/jquery/blob/7d21f02b9ec9f655583e898350badf89165ed4d5/src/event.js#L442 for some similar exceptional cases).

  #### Parameters

  - ##### eventName: any

  - ##### selector: any

  - ##### listener: any

  #### Returns any

### delegateEvents

- delegateEvents(events?: EventsHash): any

- Inherited from View.delegateEvents

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:370

  #### Parameters

  - ##### Optional events: EventsHash

  #### Returns any

### events

- events(): EventsHash

- Inherited from View.events

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:350

  Events hash or a method returning the events hash that maps events/selectors to methods on your View. For assigning events as object hash, do it like this: this.events = { "event:selector": callback, ... }; That works only if you set it in the constructor or the initialize method.

  #### Returns EventsHash

### initialize

- initialize(parameters: any): void

- Overwrites ProxyView.initialize

  - Defined in widget_box.ts:181

  #### Parameters

  - ##### parameters: any

  #### Returns void

### listenTo

- listenTo(object: any, events: string, callback: Function): any

- Inherited from Events.listenTo

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:90

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### listenToOnce

- listenToOnce(object: any, events: string, callback: Function): any

- Inherited from Events.listenToOnce

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:91

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### make

- make(tagName: any, attributes?: any, content?: any): any

- Inherited from View.make

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:369

  #### Parameters

  - ##### tagName: any

  - ##### Optional attributes: any

  - ##### Optional content: any

  #### Returns any

### off

- off(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.off

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:84

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### on

- on(eventName: string, callback?: Function, context?: any): any
- on(eventMap: EventsHash): any

- Inherited from Events.on

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:82

  #### Parameters

  - ##### eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

- Inherited from Events.on

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:83

  #### Parameters

  - ##### eventMap: EventsHash

  #### Returns any

### onResize

- onResize(msg: any): void

- Inherited from DOMWidgetView.onResize

  - Defined in widget.ts:841

  #### Parameters

  - ##### msg: any

  #### Returns void

### once

- once(events: string, callback: Function, context?: any): any

- Inherited from Events.once

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:89

  #### Parameters

  - ##### events: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### remove

- remove(): void

- Inherited from ProxyView.remove

  Overwrites DOMWidgetView.remove

  - Defined in widget_box.ts:122

  #### Returns void

### render

- render(): Promise<any>

- Inherited from ProxyView.render

  Overwrites WidgetView.render

  - Defined in widget_box.ts:113

  #### Returns Promise<any>

### send

- send(content: any, buffers?: any): void

- Inherited from WidgetView.send

  - Defined in widget.ts:651

  Send a custom msg associated with this view.

  #### Parameters

  - ##### content: any

  - ##### Optional buffers: any

  #### Returns void

### setElement

- setElement(element: HTMLElement | JQuery, delegate?: boolean): View<WidgetModel>
- setElement(element: any): View<WidgetModel>

- Inherited from View.setElement

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:356

  #### Parameters

  - ##### element: HTMLElement | JQuery

  - ##### Optional delegate: boolean

  #### Returns View<WidgetModel>

- Inherited from View.setElement

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:364

  #### Parameters

  - ##### element: any

  #### Returns View<WidgetModel>

### setLayout

- setLayout(layout: any, oldLayout?: any): void

- Inherited from DOMWidgetView.setLayout

  - Defined in widget.ts:743

  #### Parameters

  - ##### layout: any

  - ##### Optional oldLayout: any

  #### Returns void

### set_child

- set_child(value: any): Promise<any>

- Inherited from ProxyView.set_child

  - Defined in widget_box.ts:131

  #### Parameters

  - ##### value: any

  #### Returns Promise<any>

### stopListening

- stopListening(object?: any, events?: string, callback?: Function): any

- Inherited from Events.stopListening

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:92

  #### Parameters

  - ##### Optional object: any

  - ##### Optional events: string

  - ##### Optional callback: Function

  #### Returns any

### touch

- touch(): void

- Inherited from WidgetView.touch

  - Defined in widget.ts:655

  #### Returns void

### trigger

- trigger(eventName: string, ...args: any[]): any

- Inherited from Events.trigger

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:85

  #### Parameters

  - ##### eventName: string

  - ##### Rest ...args: any[]

  #### Returns any

### typeset

- typeset(element: any, text: any): void

- Inherited from DOMWidgetView.typeset

  - Defined in widget.ts:817

  #### Parameters

  - ##### element: any

  - ##### text: any

  #### Returns void

### unbind

- unbind(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.unbind

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:87

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### undelegate

- undelegate(eventName: any, selector: any, listener: any): this

- Inherited from NativeView.undelegate

  Overwrites View.undelegate

  - Defined in nativeview.ts:131

  #### Parameters

  - ##### eventName: any

  - ##### selector: any

  - ##### listener: any

  #### Returns this

### undelegateEvents

- undelegateEvents(): this

- Inherited from NativeView.undelegateEvents

  Overwrites View.undelegateEvents

  - Defined in nativeview.ts:157

  #### Returns this

### update

- update(options?: any): void

- Inherited from WidgetView.update

  - Defined in widget.ts:620

  Triggered on model change.

  Update view to be consistent with this.model

  #### Parameters

  - ##### Optional options: any

  #### Returns void

### update_classes

- update_classes(old_classes: any, new_classes: any, el?: any): void

- Inherited from DOMWidgetView.update_classes

  - Defined in widget.ts:764

  Update the DOM classes applied to an element, default to this.el.

  #### Parameters

  - ##### old_classes: any

  - ##### new_classes: any

  - ##### Optional el: any

  #### Returns void

### update_mapped_classes

- update_mapped_classes(class_map: any, trait_name: any, el?: any): void

- Inherited from DOMWidgetView.update_mapped_classes

  - Defined in widget.ts:808

  Update the DOM classes applied to the widget based on a single trait's value.

  Given a trait value classes map, this function automatically handles applying the appropriate classes to the widget element and removing classes that are no longer valid.

  ## Parameters

  class_map: dictionary Dictionary of trait values to class lists. Example: { success: ['alert', 'alert-success'], info: ['alert', 'alert-info'], warning: ['alert', 'alert-warning'], danger: ['alert', 'alert-danger'] }; trait_name: string Name of the trait to check the value of. el: optional DOM element handle, defaults to this.el Element that the classes are applied to.

  #### Parameters

  - ##### class_map: any

  - ##### trait_name: any

  - ##### Optional el: any

  #### Returns void

### update_selector

- update_selector(model: any, selector: any): void

- - Defined in widget_box.ts:187

  #### Parameters

  - ##### model: any

  - ##### selector: any

  #### Returns void

### Static extend

- extend(properties: any, classProperties?: any): any

- Inherited from View.extend

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:340

  Do not use, prefer TypeScript's extend functionality.

  #### Parameters

  - ##### properties: any

  - ##### Optional classProperties: any

  #### Returns any

Generated using TypeDoc